      SUBROUTINE momntdmb(data,nstart,nstart,ave,adev,
     :                    sdev,var,skew,curt)

* Modified by Dave Boore on 03/18/95 so that it will
* compute the moment for array entries from nstart to nstop

      INTEGER n, nstart, nstop
      REAL adev,ave,curt,sdev,skew,var,data(*)
      INTEGER j
      REAL p,s,ep
      if(n.le.1)pause 'n must be at least 2 in moment'
      s=0.
      do 11 j=nstart,nstop
        s=s+data(j)
11    continue
      n = nstop - nstart + 1
      ave=s/n
      adev=0.
      var=0.
      skew=0.
      curt=0.
      ep=0.
      do 12 j=nstart,nstop
        s=data(j)-ave
        ep=ep+s
        adev=adev+abs(s)
        p=s*s
        var=var+p
        p=p*s
        skew=skew+p
        p=p*s
        curt=curt+p
12    continue
      adev=adev/n
      if ( n .eq. 1) then
        var = 0.0
        sdev = 0.0
      else
        var=(var-ep**2/n)/(n-1)
        sdev=sqrt(var)
      end if
      if(var.ne.0.)then
        skew=skew/(n*sdev**3)
        curt=curt/(n*var**2)-3.
      else
*        pause 'no skew or kurtosis when zero variance in moment'
        skew = 0.0
        curt = 0.0
      endif
      return
      END
C  (C) Copr. 1986-92 Numerical Recipes Software $!6)$-"11j.
