      SUBROUTINE correl_dmb(data1,data2,npw2,ans, sps)
      
* Dates: 11/05/06 - Modified from Numerical Recipe's correl
*                   because I could not get their version to
*                   work properly (the complex parts of
*                   ans were not zero)

      INTEGER n,NMAX
      REAL data1(npw2),data2(npw2)
      COMPLEX ans(npw2)
      PARAMETER (NMAX=140000)   ! Note: make this allocatable also!
CU    USES realft,twofft
      INTEGER i,no2
      COMPLEX work1(NMAX), work2(NMAX)
      
      ans   = cmplx(0.0,0.0)
      work1 = cmplx(0.0,0.0)
      work2 = cmplx(0.0,0.0)
      
c sample rate and frequency spacing:

      df_fft = sps/ float(npw2)

      npw2d2 = npw2 / 2

c Fill working complex array

      do j = 1, npw2   
        work1(j)=cmplx(data1(j), 0.0)
        work2(j)=cmplx(data2(j), 0.0)
      end do

c     FFT to get spectrum

      call fork(npw2,work1,+1.0)
      call fork(npw2,work2,+1.0)

      do j = 1, npw2d2
* Form spectrum of correlation function
        ans(j) = work1(j)*conjg(work2(j))
      end do
* Set Nyquist value to 0.0
      ans(npw2d2+1) = 0.0
* Fill in other half of array (for a real output)
      do j = 2, npw2d2
        ans(npw2-j+2) = conjg(ans(j))
      end do
      
* Go back to time domain:

      call fork(npw2,ans,-1.0)
      
* Scale output
      do j = 1, npw2
        ans(j) = sqrt(float(npw2))/sps * ans(j)
      end do
      return
      END

