! ---------------------- BEGIN MNMAXIDXDP ----------------------
      subroutine mnmaxidxdp(a,nstrt,nstop,ninc,
     :                    amin,amax,indx_min,indx_max) 

! Assumes double precision data

! A rewrite of mnmax, returning the indices of the min and max values
!
! Dates: 10/05/99 - written by D. M. Boore
!        05/16/02 - Replaced "dimension a(1)" with "real a(*)"
!        09/22/02 - Written by D. Boore, based on mnmaxidx
!        11/03/12 - Replace if-then with if--then-else

      real*8 a(*)
!      real a(*)
      amax = a( nstrt)
      indx_max = nstrt
      amin=amax         
      indx_min = nstrt
      
      do i=nstrt,nstop,ninc
      
        if (a(i) > amax) then
          amax=a(i)
          indx_max = i
        else if (a(i) < amin) then
          amin=a(i)
          indx_min = i
        end if
        
      end do
      
      return                  
      end                     
! ---------------------- END MNMAXIDXDP ----------------------
